# Expand Instance Rootfs - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpus-v2-expand-rootfs

# Expand Instance Rootfs

PUT

/

gpus

/

v2

/

instances

/

{instance_id}

/

rootfs-expand

Try it

Expand Instance Rootfs

cURL

```
curl --request PUT \
--url https://api.novita.ai/gpus/v2/instances/{instance_id}/rootfs-expand \
--header 'Authorization: ' \
--header 'Content-Type: ' \
--data '
{
"rootfs_size_expand_gb": 20
}
'
```

```
import requests

url = "https://api.novita.ai/gpus/v2/instances/{instance_id}/rootfs-expand"

payload = { "rootfs_size_expand_gb": 20 }
headers = {
"Content-Type": "",
"Authorization": ""
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
```

```
const options = {
method: 'PUT',
headers: {'Content-Type': '', Authorization: ''},
body: JSON.stringify({rootfs_size_expand_gb: 20})
};

fetch('https://api.novita.ai/gpus/v2/instances/{instance_id}/rootfs-expand', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.novita.ai/gpus/v2/instances/{instance_id}/rootfs-expand",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'rootfs_size_expand_gb' => 20
]),
CURLOPT_HTTPHEADER => [
"Authorization: ",
"Content-Type: "
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.novita.ai/gpus/v2/instances/{instance_id}/rootfs-expand"

payload := strings.NewReader("{\n \"rootfs_size_expand_gb\": 20\n}")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("Content-Type", "")
req.Header.Add("Authorization", "")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.put("https://api.novita.ai/gpus/v2/instances/{instance_id}/rootfs-expand")
.header("Content-Type", "")
.header("Authorization", "")
.body("{\n \"rootfs_size_expand_gb\": 20\n}")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.novita.ai/gpus/v2/instances/{instance_id}/rootfs-expand")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Content-Type"] = ''
request["Authorization"] = ''
request.body = "{\n \"rootfs_size_expand_gb\": 20\n}"

response = http.request(request)
puts response.read_body
```

200

```
{}
```

#### Headers

[​](#parameter-content-type)

Content-Type

string

required

Allowed value: application/json.

[​](#parameter-authorization)

Authorization

string

required

Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.

#### Path Parameters

[​](#parameter-instance-id)

instance_id

string

required

Instance ID. String, length: 1-255 characters.

#### Body

application/json

[​](#body-rootfs-size-expand-gb)

rootfs_size_expand_gb

integer

required

Increment to add to the root disk. Not the target size. Integer, value > 0. Unit: GB.

Example:

`20`

#### Response

200 - application/json

OK

The response is of type `object`.

Last modified on June 26, 2026
